List Rules

get

/v1/uwaas/rules

Lists all rules.

Request

There are no request parameters for this operation.

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

OK
Body ()
Root Schema : ListRulesResponse
Type: object
Show Source
Nested Schema : data
Type: array
Show Source
Nested Schema : RuleOutput
Match All
Show Source
Nested Schema : RuleBaseComponent
Type: object
Show Source
Nested Schema : RuleOutput-allOf[1]
Type: object
Show Source
Nested Schema : EvaluationResponse
Type: object
Show Source
Nested Schema : Scopelevels
Type: array
Minimum Number of Items: 1
Unique Items Required: true
Show Source
  • Allowed Values: [ "global", "org", "instance", "wallet", "asset" ]
Example:
[
    "org"
]
Nested Schema : Tags
Type: array
Show Source
Example:
[
    "jurisdiction:us"
]
Nested Schema : Targets
Type: object
Show Source
Nested Schema : T_RecordStringAny
Type: object
Additional Properties Allowed: true
Construct a type with a set of arbitrary properties with any type
Nested Schema : assetIds
Type: array
Show Source
Nested Schema : instanceIds
Type: array
Show Source
Example:
[
    "instance-1"
]
Nested Schema : orgIds
Type: array
Show Source
Example:
[
    "red_bank",
    "green_bank"
]
Nested Schema : walletIds
Type: array
Show Source
Examples

Back to Top